package webservice.addressbooktest;
import webservice.addressbooktest2.Address;
import webservice.addressbooksimple.PhoneNumber;

import java.util.Hashtable;

public class AddressBook
{
  private static Hashtable addresses = new Hashtable();
  private static Hashtable phoneNumbers = new Hashtable();

  public void saveAddress ( String name, Address address, PhoneNumber phoneNumber )
  {
    addresses.put(name,address);
    phoneNumbers.put(name,phoneNumber);
  }

  public Address findAddress ( String name )
  {
    Address address = (Address)addresses.get(name);
    if (address == null)
    {
      throw new IllegalArgumentException("There is no address on file for "+name);
    }
    return address;
  }

  public PhoneNumber findPhoneNumber ( String name )
  {
    PhoneNumber phoneNumber = (PhoneNumber)phoneNumbers.get(name);
    if (phoneNumber == null)
    {
      throw new IllegalArgumentException("There is no phone number on file for "+name);
    }
    return phoneNumber;
  }
}